QGIS Server POST processing broken after modifications from commit:dedbbd4

2019-01-21 01:43 PM - Andreas Steffens

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: QGIS Server

Affected QGIS version:3.4.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28877

Description

The committed changes (commit:dedbbd4) seem to break the server in cases where a POST is used to transmit the query parameters. In

this case QgsServerRequest analyzes the posted parameters and appends them to the original url so the server services can build

QgsWmsParameters, QgsWfsParameters etc. from the query string. With the overriden url() getter in QgsFcgiServerRequest the original

url is returned to the services which in a POST scenario has no query string resulting in the services (at least in their current

implementation) to not be able to resolve the posted parameters.

History

#1 - 2019-01-21 01:47 PM - Jürgen Fischer

- Subject changed from QGIS Server POST processing broken after modifications from commit dedbbd4 to QGIS Server POST processing broken after 

modifications from commit:dedbbd4

- Description updated

#2 - 2019-01-21 01:58 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#3 - 2019-01-21 03:43 PM - Alessandro Pasotti

- Status changed from Open to In Progress

- Priority changed from Normal to High

#4 - 2019-01-21 07:16 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/8929

#5 - 2019-01-22 02:55 PM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

Fixed in https://github.com/qgis/QGIS/pull/8929
